# Method: projects.locations.backupVaults.list

- [HTTP request](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults/list#body.request_body)
- [Response body](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults/list#body.ListBackupVaultsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults/list#try-it)

Returns list of all available backup vaults.

### HTTP request

`GET https://netapp.googleapis.com/v1alpha1/{parent=projects/*/locations/*}/backupVaults`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The location for which to retrieve backupVault information, in the format `projects/{projectId}/locations/{location}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. |
| `pageToken` | `string` The nextPageToken value to use if there are additional results to retrieve for this list request. |
| `orderBy` | `string` Sort results. Supported values are "name", "name desc" or "" (unsorted). |
| `filter` | `string` List filter. |

### Request body

The request body must be empty.

### Response body

ListBackupVaultsResponse is the result of ListBackupVaultsRequest.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "backupVaults": [ { object (`https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults#BackupVault`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `backupVaults[]` | ``object (`https://docs.cloud.google.com/netapp/volumes/docs/reference/rest/v1alpha1/projects.locations.backupVaults#BackupVault`)`` A list of backupVaults in the project for the specified location. |
| `nextPageToken` | `string` The token you can use to retrieve the next page of results. Not returned if there are no more results in the list. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `netapp.backupVaults.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).